メインコンテンツへスキップ
GET
/
communication-preferences
/
v4
/
definitions
全ての配信登録ステータス定義を取得
curl --request GET \
  --url https://api.hubapi.com/communication-preferences/v4/definitions \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "id": "<string>",
      "isActive": true,
      "isDefault": true,
      "isInternal": true,
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "businessUnitId": 123,
      "communicationMethod": "<string>",
      "purpose": "<string>",
      "subscriptionTranslations": [
        {
          "createdAt": 123,
          "description": "<string>",
          "languageCode": "<string>",
          "name": "<string>",
          "subscriptionId": 123,
          "updatedAt": 123
        }
      ]
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Starter
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

includeTranslations
boolean

各定義に関連付けられた配信登録の翻訳を返すには「true」に設定します。

レスポンス

successful operation

completedAt
string<date-time>
必須

処理が完了した日時。

results
object[]
必須

処理の結果が格納される配列。

startedAt
string<date-time>
必須

処理が開始された日時。

status
enum<string>
必須

処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

処理中に発生したエラーの配列。

処理に関連付けられた関連リンクのコレクション。

numErrors
integer<int32>

処理中に発生したエラーの数。

requestedAt
string<date-time>

処理がリクエストされた日時。

Last modified on March 30, 2026